<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author 	    web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Layout\LayoutHelper;

if (!$list)
{
	return;
}

?>
<ul class="mod-articlescategory category-module mod-list">
	<?php $items = $list; ?>
	<div class="containe">
		<div class="mail-box">
		<aside class="sm-side">
			<div class="inbox-body">
				<a href="#" title="Compose" class="btn btn-compose"> Compose </a>
			</div>
          
			<ul class="inbox-nav inbox-divider">
              
				<li class="active">
                  <a href="#"><i class="fas fa-inbox"></i> Inbox </a>                 
				</li>
				<li>
					<a href="#"><i class="far fa-envelope"></i> Sent Mail</a>
				</li>
				<li>
					<a href="#"><i class="far fa-bookmark"></i> Important</a>
				</li>
				<li>
					<a href="#"><i class="fas fa-external-link-alt"></i> Drafts</a>
				</li>
				<li>
					<a href="#"><i class="fas fa-trash"></i> Trash</a>
				</li>
			</ul>          
			
			<ul class="nav flex-column nav-stacked labels-info inbox-divider pb-2">
              	<li class="nav-item ps-2"> <h4>Labels</h4> </li>
				<li class="nav-item ps-4"> <a href="#"> <i class="fas fa-caret-square-right text-danger"></i> Work </a> </li>
				<li class="nav-item ps-4"> <a href="#"> <i class="fas fa-caret-square-right text-success"></i> Design </a></li>
				<li class="nav-item ps-4"> <a href="#"> <i class="fas fa-caret-square-right text-info"></i> Family </a></li>
				<li class="nav-item ps-4"> <a href="#"> <i class="fas fa-caret-square-right text-warning"></i> Friends </a></li>
				<li class="nav-item ps-4"> <a href="#"> <i class="fas fa-caret-square-right text-primary"></i> Office </a></li>
			</ul>
			
			<div class="inbox-body text-center">
				<div class="btn-group">
					<a class="btn mini btn-primary" href="#">
						<i class="fas fa-plus"></i>
					</a>
				</div>
				<div class="btn-group">
					<a class="btn mini btn-success" href="#">
						<i class="fas fa-phone"></i>
					</a>
				</div>
				<div class="btn-group">
					<a class="btn mini btn-info" href="#">
						<i class="fas fa-cog"></i>
					</a>
				</div>
			</div>
			
		</aside>
		<aside class="lg-side">
			<div class="inbox-body">
				<div class="mail-option">                  
					<div class="chk-all">						
						<input type="checkbox" class="mail-checkbox mail-group-checkbox me-2">	
                        All <i class="fas fa-angle-down"></i>
					</div>
					
					<div class="chk-all">
						<i class="fas fa-redo"></i>
					</div>
					
					<div class="chk-all hidden-phone">
						More <i class="fas fa-angle-down"></i>
					</div>
					
					<div class="chk-all">
						Move to <i class="fas fa-angle-down"></i>
					</div>
					
					<ul class="unstyled inbox-pagination">
						<li><span>1-50 of 234</span></li>
						<li>
							<a class="np-btn" href="#"><i class="fas fa-angle-left pagination-left"></i></a>
						</li>
						<li>
							<a class="np-btn" href="#"><i class="fas fa-angle-right pagination-right"></i></a>
						</li>
					</ul>
				</div>
				
				<table class="table table-inbox table-hover">
					<tbody>		
						
						<?php foreach ($items as $item) : ?>
					
						<?php if ($item->featured == 1) : ?>
						<tr class="unread">
						<?php else : ?>	
						<tr class="">
						<?php endif; ?>
						
							<td class="inbox-small-cells">
								<input type="checkbox" class="mail-checkbox">
							</td>
							<td class="inbox-small-cells"><i class="far fa-star"></i></td>
							
                          	<td class="view-message dont-show"><?php echo $item->displayAuthorName; ?></td><!-- Author --> 							
							
							<td class="view-message"><!-- Article title -->
							<?php if ($params->get('link_titles') == 1) : ?>
								<?php $attributes = ['class' => 'mod-articles-category-title ' . $item->active]; ?>
								<?php $link = htmlspecialchars($item->link, ENT_COMPAT, 'UTF-8', false); ?>
								<?php $title = htmlspecialchars($item->title, ENT_COMPAT, 'UTF-8', false); ?>
								<?php echo HTMLHelper::_('link', $link, $title, $attributes); ?>
							<?php else : ?>
								<?php echo $item->title; ?>
							<?php endif; ?>
							</td> 
                          
							<?php $item->urls = new JRegistry($item->urls); ?>
							<td class="view-message inbox-small-cells"><i class="fas fa-<?php echo $item->urls->get('urlatext'); ?>"></i></td> <!-- paperclip -->
							
							<td class="view-message text-end"><?php echo $item->displayDate; ?></td> <!-- date created format "F j"-->
						</tr>
						
						<?php endforeach; ?>
					</tbody>
				</table>
			</div>
		</aside>
		</div>
	</div>
</ul>